## gdal 3.12.1~rc1+dfsg

=== debian/changelog ===
gdal (3.12.1~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Use debrebuild instead of reprotest.
  * Update gdal-vector-concat manpage filename.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 12 Dec 2025 19:26:48 +0100
